Skip to main content
POST
/
organizations
/
{organizationId}
/
teams
/
{teamId}
/
roles
Update Team roles
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/teams/{teamId}/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "organizationRole": "ORGANIZATION_OWNER,ORGANIZATION_OBSERVE_ADMIN,ORGANIZATION_OBSERVE_MEMBER,ORGANIZATION_BILLING_ADMIN,ORGANIZATION_MEMBER",
  "dagRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DAG_VIEWER",
      "dagId": "my_dag",
      "dagTag": "team-a"
    }
  ],
  "deploymentRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DEPLOYMENT_ADMIN"
    }
  ],
  "workspaceRoles": [
    {
      "role": "WORKSPACE_MEMBER",
      "workspaceId": "clm8t5u4q000008jq4qoc3036"
    }
  ]
}
'
{
  "dagRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DAG_VIEWER",
      "dagId": "my_dag",
      "dagTag": "team-a"
    }
  ],
  "deploymentRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DEPLOYMENT_ADMIN"
    }
  ],
  "organizationRole": "ORGANIZATION_OWNER,ORGANIZATION_OBSERVE_ADMIN,ORGANIZATION_OBSERVE_MEMBER,ORGANIZATION_BILLING_ADMIN,ORGANIZATION_MEMBER",
  "workspaceRoles": [
    {
      "role": "WORKSPACE_MEMBER",
      "workspaceId": "clm8t5u4q000008jq4qoc3036"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Team belongs.

teamId
string
required

The ID of the Team to update roles for.

Body

application/json

The request body for updating the Team's roles

organizationRole
string
required

The Team's Organization roles.

Example:

"ORGANIZATION_OWNER,ORGANIZATION_OBSERVE_ADMIN,ORGANIZATION_OBSERVE_MEMBER,ORGANIZATION_BILLING_ADMIN,ORGANIZATION_MEMBER"

dagRoles
object[]

The Team's updated DAG roles.

deploymentRoles
object[]

The user's updated Deployment roles. The Deployments you specify must belong to the Team's Organization.

workspaceRoles
object[]

The Team's updated Workspace roles. The Workspaces you specify must belong to the Team's Organization.

Response

OK

dagRoles
object[]

A list of the subject's DAG roles.

deploymentRoles
object[]

A list of the subject's Deployment roles. Currently only for API tokens.

organizationRole
string

The subject's Organization role.

Example:

"ORGANIZATION_OWNER,ORGANIZATION_OBSERVE_ADMIN,ORGANIZATION_OBSERVE_MEMBER,ORGANIZATION_BILLING_ADMIN,ORGANIZATION_MEMBER"

workspaceRoles
object[]

A list of the subject's Workspace roles.